//-----------------------------------------------------------------------------
// Projet               : La physique amusante
// Programme	        : Physique_1.pde
// Auteur		: Sylvain Blocquaux
// Date			: 11 avril 2011
// Version		: 1.0
//-----------------------------------------------------------------------------

Ressort ressort;
Mobile mobile;
float delta;
int deplacement = 150;

void setup() {
  size(800, 300, P2D);
  smooth();
  frameRate(60);
  delta = 1 / frameRate;
  mobile = new Mobile(new PVector(250, -25));
  ressort = new Ressort(new PVector(50, -25), mobile);
}

void draw() {
  background(255);
  fill(255);
  PVector souris = new PVector(mouseX, mouseY);
  translate(deplacement, deplacement);
  fill(255);
  rect(0, -50, 50, 50);
  line(0, 0, 1020, 0);
  mobile.glisser(souris);
  ressort.calculForce();
  mobile.actualiser(delta);
  mobile.afficher();
  ressort.afficher();
}

void mousePressed() {
  mobile.select(new PVector(mouseX, mouseY));
}

void mouseReleased() {
  mobile.deSelect();
}

